package cn.iocoder.yudao.module.system.service.extra;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.extra.vo.OrgServiceScopeFeePageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.extra.ElderlyExtraOrgServiceScopeFeeDO;
import java.util.List;

public interface ElderlyExtraOrgServiceScopeFeeService {
    Long create(ElderlyExtraOrgServiceScopeFeeDO createReqVO);
    void update(ElderlyExtraOrgServiceScopeFeeDO updateReqVO);
    void delete(Long id);
    PageResult<ElderlyExtraOrgServiceScopeFeeDO> findPage(OrgServiceScopeFeePageReqVO reqVO);
    ElderlyExtraOrgServiceScopeFeeDO getDetail(Long id);
    List<ElderlyExtraOrgServiceScopeFeeDO> getListByElderId(Long elderId);
}
